#!/bin/nawk -f
#
# Extract the gyro heading from the INS CS_SP data stream	(Melville)
# Extract the gyro heading from the INS DPinpf data stream	(Revelle)
#
# Modif:  R.L.Moe  04/18/00 For Revelle
#
# Input:
#Melville:
#$M2:920403235701GP1W84 03-31.582N102-13.864WGG*DDD.D  0.4 300.7 +29.3*MMMM 
#Revelle:
#000417 235601 29-28.0908 N 127-32.9136 E  11.8 130.7
#
# Output:
# Time    gyro flag
# 86221.0 15.5 INS
# 86222.0 15.4 INS
# 86223.0 15.4 INS
# 86224.0 15.4 INS
# 
# Time is in seconds from the begin of the day
# gyro is the gyro reading
# INS is a flag for data type
#
BEGIN { 
} 
{ 
#	hr = substr ( $1,11,2)	(Melville)
#	min = substr ( $1,13,2)	(Melville)
#	sec = substr ( $1,15,2)	(Melville)
	hr = substr ( $2,1,2)
	min = substr ( $2,3,2)
	sec = substr ( $2,5,2)

	time = (hr * 3600) + (min * 60) + sec
	
#	printf "%8.1f %s INS\n", time, $4	(Melville)
	printf "%8.1f %s INS\n", time, $8
} 
