#!/bin/nawk -f
#$GPZDA,235501.00,24,04,2000,,
#$GPVTG,324.3,T,318.2,M,012.8,N,023.6,K*4C
#$GPZDA,235502.00,24,04,2000,00,00,*49
#$GPGGA,235501.299,0005.7537,S,09105.7835,W,1,07,0.9,016.8,M,003.4,M,,*60
#$GPVTG,324.9,T,318.9,M,012.8,N,023.7,K*4C
#$GPZDA,235503.00,24,04,2000,00,00,*48
#$GPGGA,235502.299,0005.7504,S,09105.7852,W,1,07,0.9,019.6,M,003.4,M,,*63
#$GPVTG,325.0,T,318.9,M,012.9,N,023.9,K*4B
#$GPZDA,235504.00,24,04,2000,00,00,*4F
#$GPGGA,235503.299,0005.7470,S,09105.7862,W,1,07,1.0,020.9,M,003.4,M,,*6E
#$GPVTG,324.9,T,318.8,M,013.0,N,024.0,K*44
#$GPZDA,235505.00,24,04,2000,00,00,*4E
#$GPGGA,235504.299,0005.7444,S,09105.7877,W,1,08,0.9,016.7,M,003.4,M,,*66
#$GPVTG,324.9,T,318.8,M,012.8,N,023.8,K*42
BEGIN {
	FS = ","
	cnt_fixes = 0
	cnt_zero = 0
	cnt_ca = 0
}
{
	if ( $1 == "$GPZDA") {
		time_zda = substr($2,5)
		time_zda = substr( $2,3,2) + ( time_zda / 60.)
		time_zda = substr( $2,1,2) + ( time_zda / 60.)
		next
	}
	if ( $1 == "$GPVTG") {
		cse_t = $2
		cse_m = $4
		spd_k = $6
		spd_m = $8
		if ( $2 == "") {
			cse_t = past_cse
		} else {
			past_cse = cse_t
		}
		if ( $6 == "" ) {
			spd_k = past_spd
		} else {
			past_spd = spd_k
		}
		next
	}
	if ( $1 == "$GPGGA") {
		qual = $7
		time = substr($2,5)
		time = substr( $2,3,2) + ( time / 60.)
		time = substr( $2,1,2) + ( time / 60.)
		if ( $2 == "") time = 0.0

		lat = substr($3,3)
		lat = substr($3,1,2) + ( lat  / 60.)
		if ( $4 == "S") lat = 0. - lat

		lon = substr($5,4)
		lon = substr($5,1,3) + ( lon / 60.)
		if ( $6 == "W") lon = 0. - lon

		if ( time > 23.90) next
		if ( time_zda > 23.90) next
		if ( time != 0 ) {
			printf "%10.5f %10.6f %10.6f %6.3f %6.2f %d",time,lat,lon,spd_k,cse_t,qual
		} else {
			printf "%10.5f  > > %6.3f %6.2f %d",time_zda,spd_k,cse_t,qual
		}
		if ( qual == 0) {
			cnt_zero++
			printf " zero"
		}
		if ( qual == 1 ) {
			cnt_ca++
			printf " CA"
		}
		if ( qual == 3 ) {
			cnt_fixes++
		}
		printf "\n"
		next
	}
}
END {
#	printf "fixes, ca, zero = %d %d %d\n", cnt_fixes, cnt_ca, cnt_zero
}
