## mb_contour cmd file modified by run_daily_sb_plot ##
#! /bin/csh -f
#
# Shellscript to create Postscript plot of swath sonar data
# Created by macro mbm_plot
#
# This shellscript created by following command line:
# mbm_plot -F32 -ISBfixavg.2003apr19.0700-2300 -C -N -Q -OSBfixavg.2003apr19.0700-2300
#
# Define shell variables used in this script:
set PS_FILE         = SBfixavg.2003apr19.0700-2300.ps
set CPT_FILE        = SBfixavg.2003apr19.0700-2300.cpt
set MAP_PROJECTION  = m
#set MAP_SCALE       = 3.6423
set MAP_SCALE       = 5.0
set MAP_REGION      = 10.09132/11.07538/-19.16626/-17.19814
set X_OFFSET        = 2.4579
set Y_OFFSET        = 2
set INPUT_FILE      = SBfixavg.2003apr19.0700-2300
set INPUT_FORMAT    = 32
#
# Save existing GMT defaults
echo Saving GMT defaults...
gmtdefaults -L > gmtdefaults$$
#
# Set new GMT defaults
echo Setting new GMT defaults...
gmtset MEASURE_UNIT inch
gmtset PAPER_MEDIA archA+
gmtset ANOT_FONT Helvetica
gmtset LABEL_FONT Helvetica
gmtset HEADER_FONT Helvetica
gmtset ANOT_FONT_SIZE 8
gmtset LABEL_FONT_SIZE 8
gmtset HEADER_FONT_SIZE 10
gmtset FRAME_WIDTH 0.075
gmtset TICK_LENGTH 0.075
gmtset PAGE_ORIENTATION LANDSCAPE
gmtset COLOR_BACKGROUND 0/0/0
gmtset COLOR_FOREGROUND 255/255/255
gmtset COLOR_NAN 255/255/255
gmtset DEGREE_FORMAT 3
#
# Make datalist file 
echo Making datalist file...
echo $INPUT_FILE $INPUT_FORMAT >! datalist$$
#
# Run mbcontour
echo Running mbcontour...
mbcontour -f-1 -Idatalist$$ \
	-J$MAP_PROJECTION$MAP_SCALE \
	-R$MAP_REGION \
        -A50/200/500/500/0.01/0.1 -Z1 \
        -D0.25/1.0/4.0/0.10 -p1 \
	-p1 \
	-P -X$X_OFFSET -Y$Y_OFFSET -K -V >! $PS_FILE
#
# Make basemap
echo Running psbasemap...
psbasemap -J$MAP_PROJECTION$MAP_SCALE \
	-R$MAP_REGION \
	-B15m/15m:."Data File $INPUT_FILE": \
	-P -O -V >> $PS_FILE
#
# Delete surplus files
echo Deleting surplus files...
/bin/rm -f $CPT_FILE
/bin/rm -f datalist$$
#
# Reset GMT default fonts
echo Resetting GMT fonts...
/bin/mv gmtdefaults$$ .gmtdefaults
#
# Run ghostview
#echo Running ghostview in background...
#ghostview  $PS_FILE &
#
# All done!
echo All done!
